#### D.15.4.15 difformSub

Procedure from library `difform.lib` (see difform_lib).

Usage:
  df-dg; df,dg difform

Return:
  the difference of the differential forms as differential form

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),ds;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    ///////////////////////////////////////
    // Subtraction of differential forms //
    ///////////////////////////////////////
    difform df = 5*dx*x2 - 7*dy*z - 2x2*dz - 3;
    difform dg = dx - 8x*dz*dy;
    df-dg;
    ==> -3+(-1+5x2)*dx+(-7z)*dy+(-2x2)*dz+(-8x)*dy*dz
    ==>
    ///////////////////////////////////////////////////////
    // Subtraction of polynomials and differential forms //
    ///////////////////////////////////////////////////////
    df - 2x3;
    ==> -3-2x3+5x2*dx+(-7z)*dy+(-2x2)*dz
    ==>
    1 - dg;
    ==> 1+(-1)*dx+(-8x)*dy*dz
    ==>
    kill Omega_R,df,dg,dx,dy,dz;

See also: difformAdd; difformNeg.

User manual for Singular version 4.4.1, 2025, generated by texi2html.